Summary:	HEIF image format plugin for Qt5
Name:		heif-imageformat-qt5
Version:	1.0
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/qt-imageformats
Source0:	qt-heif-image-plugin-master.zip
Source1:	kde-heif.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qt5-qtbase-gui libheif xdg-utils
BuildRequires:	qt5-qtbase-devel libheif-devel

%description 
HEIF image format plugin for Qt provides access to HEIF images (they can be opened via QImage class, for example)

%prep
%setup -q -n qt-heif-image-plugin-master

%build
mkdir build
cd build
cmake ..
make

%install
cd build
make install DESTDIR=%{buildroot}
install -D %{SOURCE1} $RPM_BUILD_ROOT/usr/share/kservices5/qimageioplugins/heif.desktop

#%post
#xdg-mime install /usr/share/%{name}-%{version}/xdg-heif.xml

%files 
%defattr(0644,root,root)
%attr(0755,root,root) %{_libdir}/qt5/plugins/imageformats/libqheif.so
/usr/share/kservices5/qimageioplugins/heif.desktop
#/usr/share/%{name}-%{version}/xdg-heif.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Sun Apr 21 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package of heif-imageformat-qt
